function baoxiang(id,npcID)
	
	player.Control(0)
	pid=player.GetMainPlayer()
	player.SetAnim(pid,203)	
	global.Print(id)
	global.Wait(1)
	y=flag.GetValue(15093)
	
	---------江洋大盗称号获得-------------	
	jyd=flag.GetValue(15255)
	jyd=jyd+1
	flag.SetValue(15255,jyd)
	global.Print(jyd)
	global.AddTimer(0.5,13279)
-----------------------------------------
	
	if id~=17711 then
		npc.SetAnim(npcID,501)
		global.Wait(1)
	end
		
	--flag.SetValue(45000,0)	--禁DLC
	
-----------明州---------------------------------

	if id == 17701 then          --貌似民居	
		player.AddMoney(200,1)
		player.AddItem(2,2,1)
		player.AddItem(613,2,1)		--兽皮
	
	elseif id == 17702 then         	
			player.AddMoney(500,1)
			player.AddItem(5,2,1)	
			
	elseif id == 17703 then         	
			player.AddMoney(1500,1)
			player.AddEquip(4002,1,1)		--钢钉指环		
	
	elseif id == 17704 then         	
			player.AddItem(35,2,1)		--还魂香2
			player.AddItem(50,1,1)	
	elseif id == 17705 then         	
			player.AddItem(621,1,1)
			player.AddMoney(1000,1)			--金钱
			player.AddItem(622,1,1)			--琉璃
	
	
-----------晴碧坡------------------------	
	
	elseif id == 17711 then

			if flag.GetValue(15031)==0 then
				npc.TurnToPlayer(600)
				ui.Popo(72782,1,600,0)--未经允许就动我的东西？当我不存在嘛？
				npc.SetAnim(600,500)
				flag.SetValue(17711,0)
			elseif flag.GetValue(15031)==1	then	
					npc.SetAnim(npcID,501)
					global.Wait(1)
					x=flag.GetValue(12531)
					player.AddEquip(3520,1,1)		--厚底靴
					player.AddMoney(x/2,1)
					player.AddItem(615,3,1)		--绿松石
					player.AddItem(35,2,1)		--还魂香2
					y=y+1
					flag.SetValue(15093,y)
					flag.SetValue(16936,1)
					ui.Message(72783)--获得凝翠甸地图
					ui.Popo(72784,2,pid,0)--还有一张小纸条：“钱都退给你们啦！”
					ui.Popo(72785,2,pid,0)--厉害，他是什么时候放进去的。
					global.AddTimer(0.5,13279)
			elseif	flag.GetValue(15031)==2	then
					npc.SetAnim(npcID,501)
					global.Wait(1)					
					player.AddEquip(3520,1,1)
					player.AddItem(615,3,1)		--绿松石
					player.AddItem(35,2,1)		--还魂香2
					y=y+1
					flag.SetValue(15093,y)
					flag.SetValue(16936,1)
					ui.Message(72783)--获得凝翠甸地图
					ui.Popo(72786,2,pid,0)--这家伙真是莫名其妙。
					global.AddTimer(0.5,13279)
			end

----------绿村-----------------

	elseif id == 17721 then         	
			player.AddEquip(4003,1,1)		--虎爪指扣
			player.AddMoney(500,1)
	elseif id == 17722 then         	
			player.AddEquip(3002,1,1)		--罗短衫
			player.AddMoney(500,1)	
			player.AddItem(613,4,1)	--兽皮
	elseif id == 17723 then         	
			player.AddItem(612,4,1)		--丝线(合成用)
			player.AddMoney(500,1)			

---------石林------------------


			

----------折剑山庄---------------

	elseif id == 17741 then         	
			player.AddItem(6,2,1)
			player.AddItem(2,1,1)	
			player.AddEquip(2073,1,1)
			--ui.Popo(72787,2,pid,0)	--这小子藏货不少嘛！”
			
	elseif id == 17742 then         	
			player.AddItem(3,1,1)
			player.AddMoney(500,1)
			player.AddItem(604,3,1)		--山苦菜
			
	elseif id == 17743 then         	
			player.AddEquip(3027,1,1)		--大师兄--雁羽衫
			player.AddMoney(500,1)	
			player.AddItem(603,6,1)		--曼陀罗
			player.AddItem(618,1,1)		--冰晶石
			
----------雪石路-------------------
	elseif id == 17761 then     
			y=y+1
			flag.SetValue(15093,y)
			flag.SetValue(16940,1)
			ui.Message(72788)--获得雪石路小地图
			player.AddItem(52,1,1)
			player.AddEquip(4004,1,1)	--愈之宿石
			player.AddItem(720,1,1)
			player.AddItem(742,1,1)
			global.AddTimer(0.5,13279)

---------楼兰------------------
	elseif id == 17781 then         	
			player.AddEquip(4012,1,1)	--护法香包
			player.AddItem(3,2,1)
			player.AddItem(601,5,1)		--灯芯草
			player.AddItem(604,3,1)		--山苦菜
	elseif id == 17782 then         	
			player.AddEquip(4008,1,1)	--雾之宿石
			player.AddItem(7,2,1)
			player.AddItem(602,6,1)		--龙骨
			player.AddItem(748,1,1)
	elseif id == 17783 then         	
			y=y+1
			flag.SetValue(15093,y)				
			flag.SetValue(16919,1)
			ui.Message(72789)	--获得楼兰沙海地图
			player.AddMoney(1000,1)
			player.AddItem(612,6,1)		--丝线
			player.AddEquip(4010,1,1)		--晴之宿石
			--ui.Popo(72790,2,pid,0)--太好了，能出去的话这地图一定会用到。
			global.AddTimer(0.5,13279)
	elseif id == 17784 then         	
			player.AddItem(608,10,1)	--龙葵草
			player.AddItem(613,3,1)		--兽皮	
			player.AddItem(615,2,1)		--绿松石
			--player.AddEquip(4012,1,1)	--护法香包
	elseif id == 17785 then         	
			player.AddItem(602,4,1)		--龙骨
			player.AddItem(608,5,1)		--龙葵草	
			player.AddItem(611,2,1)		--重楼
			player.AddEquip(4021,1,1)		--雷之宿石
			

---------楼兰外城--------------

	elseif id == 17791 then         	
			player.AddMoney(2000,1)		--金钱2000
			player.AddItem(615,1,1)		--绿松石
			player.AddItem(718,1,1)		
			player.AddItem(747,1,1)		

	elseif id == 17792 then         	
			player.AddMoney(1000,1)		--金钱1000
			player.AddEquip(3522,1,1)		--朝堂履
			player.AddItem(780,1,1)
			player.AddEquip(4013,1,1)		--灵蛇青珠
			
---------蜀山室内-------------			
			
---------璇光殿幻境-----------
			
	elseif id == 17911 then         	
			player.AddMoney(2000,1)		--金钱2000
			player.AddItem(615,1,1)		--绿松石	
			global.CreateSE(4395,2942,4,4749)	
			npc.Destroy(221)	
			
	elseif id == 17912 then         	
			player.AddMoney(2000,1)		--金钱2000
			player.AddItem(618,1,1)		--冰晶石		
			global.CreateSE(4395,2097,4,3242)	
			npc.Destroy(222)
	elseif id == 17913 then         	
			player.AddMoney(2000,1)		--金钱2000
			player.AddItem(619,1,1)		--天河石		
			global.CreateSE(4395,6952,4,3242)	
			npc.Destroy(223)
	elseif id == 17914 then         	
			player.AddMoney(2000,1)		--金钱2000
			player.AddItem(620,1,1)		--紫英石		
			global.CreateSE(4395,1606,4,8902)	
			npc.Destroy(224)	
-----------幻境里的机关宝箱----------------------
	elseif id == 17915 and flag.GetValue(15101)==0 then         	
			player.AddItem(124,2,1)		--星碎夺魂
			o=flag.GetValue(15222)
			o=o+1	
			flag.SetValue(15222,o)
			flag.SetValue(15101,1)
	elseif id == 17915 and flag.GetValue(15101)==1 then         	
			ui.Message(72793)	--箱子里空无一物
			o=flag.GetValue(15222)
			o=o+1	
			flag.SetValue(15222,o)
	elseif id == 17916 and flag.GetValue(15102)==0	then
			player.AddItem(124,2,1)		--星碎夺魂
			o=flag.GetValue(15222)
			o=o+1
			flag.SetValue(15222,o)
			flag.SetValue(15102,1)
	elseif id == 17916 and flag.GetValue(15102)==1	then		
			ui.Message(72794)--箱子里空无一物
			o=flag.GetValue(15222)
			o=o+1	
			flag.SetValue(15222,o)
	elseif id == 17917 and flag.GetValue(15103)==0	then         	
			player.AddItem(124,2,1)			--星碎夺魂
			o=flag.GetValue(15222)
			o=o+1	
			flag.SetValue(15222,o)
			flag.SetValue(15103,1)
	elseif id == 17917 and flag.GetValue(15103)==1	then         	
			ui.Message(72795)--箱子里空无一物
			o=flag.GetValue(15222)
			o=o+1	
			flag.SetValue(15222,o)
	elseif id == 17918 and flag.GetValue(15104)==0	then         	
			player.AddItem(124,2,1)			--星碎夺魂
			o=flag.GetValue(15222)
			o=o+1	
			flag.SetValue(15222,o)
			flag.SetValue(15104,1)
	elseif id == 17918 and flag.GetValue(15104)==1	then         	
			ui.Message(72795)--箱子里空无一物
			o=flag.GetValue(15222)
			o=o+1	
			flag.SetValue(15222,o)		
	elseif id == 17919 and flag.GetValue(15105)==0	then         	
			player.AddItem(124,2,1)			--星碎夺魂
			o=flag.GetValue(15222)
			o=o+1	
			flag.SetValue(15222,o)
			flag.SetValue(15105,1)
	elseif id == 17919 and flag.GetValue(15105)==1	then         	
			ui.Message(72797)--箱子里空无一物
			o=flag.GetValue(15222)
			o=o+1	
			flag.SetValue(15222,o)			
----------开封--------------------

	elseif id == 17821 then         	
			player.AddItem(13,2,1)
			player.AddItem(615,2,1)		--绿松石
			player.AddItem(603,4,1)		--曼陀罗
			y=y+1
			flag.SetValue(15093,y)				
			flag.SetValue(16906,1)
			ui.Message(72800)			--获得丹枫谷地图
			global.AddTimer(0.5,13279)
	elseif id == 17822 then         	
			player.AddItem(9,2,1)
			player.AddItem(615,1,1)		--绿松石
			player.AddItem(602,3,1)		--龙骨
			player.AddItem(618,2,1)		--冰晶石
	elseif id == 17823 then         	
			player.AddItem(603,6,1)		--曼陀罗
			player.AddItem(602,7,1)		--龙骨
			player.AddItem(613,4,1)		--兽皮
----------幻木小径----------------
	elseif id == 17861 then         	
			player.AddEquip(3523,1,1)		--符鱼骨链
			player.AddItem(76,3,1)		--朱雀羽3
			y=y+1
			flag.SetValue(15093,y)				
			flag.SetValue(16916,1)
			ui.Message(89679)--获得幻木小径地图
			global.AddTimer(0.5,13279)
			
			
----------青木村室内--------------
	elseif id == 17871 then         	
			player.AddEquip(4027,1,1)		--符鱼骨链
			player.AddEquip(4005,1,1)		--愈之魂石	
			player.AddItem(17,2,1)		--天香绿萼
			player.AddItem(613,6,1)		--兽皮
			player.AddItem(777,1,1)	
	elseif id == 17872 then         	
			player.AddItem(16,2,1)		--甘松子
			player.AddItem(33,2,1)		--百灵香
			player.AddItem(615,3,1)		--绿松石
			player.AddItem(612,6,1)		--丝线
	elseif id == 17873 then         	
			player.AddItem(618,3,1)		--冰晶石
			player.AddItem(619,3,1)		--天河石
			player.AddItem(620,1,1)		--紫英石
			player.AddItem(622,3,1)		--琉璃		
			
----------蜀山------------------
	elseif id == 17881 then         	
			player.AddItem(605,10,1)		--丁香
			player.AddItem(617,3,1)		--黑曜石
			player.AddItem(609,6,1)		--紫萱草
			player.AddItem(616,3,1)		--赤铜矿
	elseif id == 17882 then         	
			player.AddItem(611,6,1)		--重楼
			player.AddItem(615,6,1)		--绿松石
			player.AddItem(605,5,1)		--丁香				
			player.AddItem(606,4,1)		--八宝景天
	elseif id == 17883 then         	
			player.AddItem(621,3,1)		--朱砂
			player.AddItem(612,6,1)		--丝线	
			player.AddItem(616,3,1)		--赤铜矿
			player.AddEquip(4015,1,1)		--火之宿石
			player.AddItem(774,1,1)		
			
---------仙竹林2----------------
	elseif id == 17891 then         	
			player.AddItem(615,1,1)		--绿松石
			player.AddItem(717,1,1)		
			player.AddItem(755,1,1)
			player.AddEquip(4018,1,1)		--风之魂石
			
----------璇光殿幻境------------
	elseif id == 17385 then         	
			player.AddItem(622,3,1)		--琉璃
			player.AddItem(729,1,1)		
			y=y+1
			flag.SetValue(15093,y)				
			flag.SetValue(16922,1)
			ui.Message(89690)--获得璇光殿幻境地图
			global.AddTimer(0.5,13279)
	elseif id == 17388 then         	
			player.AddItem(617,3,1)		--黑曜石
			player.AddItem(621,3,1)		--朱砂
			player.AddItem(756,1,1)	
---------流光洞----------------
	elseif id == 17921 then         	
			player.AddItem(615,1,1)		--绿松石
			player.AddItem(778,1,1)
			player.AddItem(758,1,1)
			player.AddEquip(4022,1,1)		--雷之魂石
			y=y+1
			flag.SetValue(15093,y)				
			flag.SetValue(16905,1)
			ui.Message(72799)--获得流光洞地图
			global.AddTimer(0.5,13279)
			
---------蚩尤遗迹--------------
	elseif id == 17966 then 
			player.AddEquip(4016,1,1)		--火之魂石
			player.AddEquip(3527,1,1)		--龙筋履
			y=y+4
			flag.SetValue(15093,y)				
			flag.SetValue(16931,1)
			flag.SetValue(16932,1)
			flag.SetValue(16933,1)
			flag.SetValue(16934,1)
			ui.Message(89676)--获得蚩尤遗迹地图	
			global.AddTimer(0.5,13279)
----------覆天顶----------------
	elseif id == 17976 then 
			player.AddEquip(3526,1,1)		--龙筋履
			y=y+1
			flag.SetValue(15093,y)				
			flag.SetValue(16913,1)
			ui.Message(89680)--获得绝行天途地图	
			global.AddTimer(0.5,13279)	
			
----------雾村----------------
	elseif id == 17996 then         	
			player.AddItem(116,2,1)		--妄念弑心咒
			player.AddItem(117,1,1)		--余香果
			player.AddItem(622,1,1)		--琉璃
			player.AddEquip(4009,1,1)		--雾之魂石
	elseif id == 17997 then         	
			player.AddItem(123,2,1)		--恶鬼冥晶		
			player.AddItem(81,1,1)		--八魄玉
			player.AddItem(623,1,1)		--羊脂白玉
	elseif id == 17998 then         	
			player.AddItem(65,2,1)		--天荔果仁
			player.AddMoney(3000,1)	
			player.AddItem(610,6,1)		--徐长卿	
	elseif id == 17999 then         	
			player.AddItem(124,2,1)		--星碎夺魂
			player.AddMoney(2000,1)	
			player.AddItem(601,6,1)		--灯芯草
			player.AddItem(608,6,1)		--龙葵草
			
----------冰麟岛---------------

	elseif id == 18011 then         	
			player.AddItem(126,4,1)		--血凝冰晶
			player.AddItem(116,1,1)		--妄念弑心咒
			player.AddItem(77,2,1)		--玄武甲	
	
			
---------丹枫谷--------------
	elseif id == 18026 then         	
			player.AddItem(615,1,1)		--绿松石
			player.AddEquip(4024,1,1)		--土之魂石
			player.AddEquip(4011,1,1)		--晴之魂石
	

---------锁妖塔-------------------

	elseif id == 18046 then         	
			player.AddItem(64,2,1)
			player.AddItem(728,1,1)
			y=y+2
			flag.SetValue(15093,y)			
			flag.SetValue(16909,1)
			flag.SetValue(16944,1)

			ui.Message(72801)--获得锁妖塔地图
			global.AddTimer(0.5,13279)
	elseif id == 18047 then         	
			player.AddItem(117,1,1)
			player.AddMoney(2000,1)
			player.AddEquip(4039,1,1)		--御鬼链
			player.AddItem(771,1,1)
---------神降秘境----------------
	elseif id == 17941 then         	
			player.AddItem(616,5,1)		--赤铜矿
			player.AddItem(613,6,1)		--兽皮
			player.AddItem(618,6,1)		--冰晶石
			player.AddItem(619,3,1)		--天河石
			player.AddItem(722,1,1)	
			y=y+2
			flag.SetValue(15093,y)			
			flag.SetValue(16911,1)
			flag.SetValue(16941,1)
			ui.Message(72802)	--获得神降秘境地图	
			global.AddTimer(0.5,13279)
	end	
	global.Wait(1)
	player.Control(1)

end